Getting Started with the KendoReact Data Grid
This guide provides essential information about using the KendoReact Data Grid—you will learn how to install the package, add the React Data Grid component to your project, style it, and activate your license.
After completing this guide, you will be able to reproduce the following example.
If you want to see the Data Grid used in a complete app, check out our Sample Applications section.
Setting Up Your React Project
Before you install the KendoReact Grid package, make sure that you have a running React project. The easiest way to set up a React project is to use the Create React App approach that is described in the Get Started with KendoReact article.
Installing the Component
All KendoReact packages are distributed through npm and offer a similar installation experience. To use the Data Grid, start with the installation of the Grid package and its dependencies. Use Node.js v5.0.0 or later.
Navigate to the root folder of your React project and run the following command:
npm install --save @progress/kendo-react-grid @progress/kendo-data-query @progress/kendo-react-data-tools @progress/kendo-react-inputs @progress/kendo-react-intl @progress/kendo-react-dropdowns @progress/kendo-react-dateinputs @progress/kendo-drawing @progress/kendo-react-animation @progress/kendo-licensing @progress/kendo-react-buttons @progress/kendo-react-treeview
Importing the Component
After installing the package, import the Grid component in the React App. To use the Grid columns, also import the GridColumn
component. To add some sample data to the Grid, import the products.json
file from the example above.
In the App component file of your React project (for example, src/App.js
), add the imports.
// ES2015 module syntax
import { Grid, GridColumn as Column } from "@progress/kendo-react-grid";
import products from "./products.json";
// CommonJS format
const { Grid, GridColumn as Column } = require('@progress/kendo-react-grid');
const { products} = require('./products.json');
Using the Component
After installing the Grid package and importing the component, add the Grid tags to the App component file of your React project (for example,
src/App.js
). Then add the columns that correspond to the data in theproducts.json
file. Optionally, set the Grid'sheight
.const App = () => { return ( <Grid style={{ height: "400px", }} data={products} > <GridColumn field="ProductID" title="ID" width="40px" /> <GridColumn field="ProductName" title="Name" width="250px" /> <GridColumn field="Category.CategoryName" title="CategoryName" /> <GridColumn field="UnitPrice" title="Price" /> <GridColumn field="UnitsInStock" title="In stock" /> ); }; ReactDOM.render(<App />, document.querySelector("my-app"));
To style the Grid, install and import the Default theme, which is one of the three beautiful themes for KendoReact.
2.1. Install the Default theme package.
npm install --save @progress/kendo-theme-default
2.2. Import the CSS file from the package in
src/App.js
. Add this import before your existingApp.css
import.import '@progress/kendo-theme-default/dist/all.css';
Build and run the application by typing the following command in the root folder of your project:
npm start
Navigate to http://localhost:3000 to see the KendoReact Grid component on the page.
Activating Your License Key
Using any of the UI components in the KendoReact library requires either a commercial license key or an active trial license key.
Follow the instructions on the KendoReact My License page to activate your trial or commercial license. You can skip this step if your application already contains a KendoReact license file.
Dependencies
The Grid package requires you to install the following peer dependencies in your application:
Package Name | Description |
---|---|
react 16.8.2* | Contains the functionality necessary to define React components. |
react-dom | Contains the React renderer for the web. |
@progress/kendo-licensing | Contains the internal infrastructure related to licensing. |
@progress/kendo-react-intl | Contains the KendoReact Internationalization package that applies the desired cultures by providing services and pipes for the parsing and formatting of dates and numbers. |
@progress/kendo-data-query | Applies sorting, filtering, grouping, and aggregate data operations. |
@progress/kendo-react-animation | Enables the animations in the KendoReact components. |
@progress/kendo-react-data-tools | Delivers components required to manage and control the data in the application. |
@progress/kendo-react-dateinputs | Contains the KendoReact Date Inputs components that are used to select the date and time for an appointment. |
@progress/kendo-react-dropdowns | Contains the KendoReact Dropdowns, which allows users to choose from a predefined list of options. |
@progress/kendo-react-inputs | Contains the KendoReact Inputs, which the input of data, based on a specific and predefined format. |
@progress/kendo-drawing | Contains the Drawing library, which provides interactive vector graphics. |
@progress/kendo-react-buttons | Contains the KendoReact Buttons library, which provides buttons. |
@progress/kendo-react-treeview | Contains the KendoReact TreeView package that is used in the DropDowns. |
Implementing React Data Grid: Video Tutorial
If you prefer video, watch the React Data Grid Video Tutorial. You will see how to implement the KendoReact Data Grid and how to work the following grid features: theming and styling, paging and filtering.
Using the Template Wizard in VS Code
To quickly scaffold a KendoReact Data Grid, you can use the Kendo UI Template Wizard for Visual Studio Code. The template allows you to add a Grid to your application with a single click. It also lets you customize your application with one of the KendoReact themes. Read more about the Kendo UI Template Wizard for Visual Studio Code...
Suggested Links
- Setting up local data operations
- Applying data operations on the server
- Editing Grid data records
- Using locked columns in the Grid
- Exporting the Grid content to PDF
- Styling the Grid
- API Reference of the Grid

• Components
    • Barcodes
    • Buttonsupdated
    • Charts
    • Conversational UIupdated
    • Data Query
    • Date Inputsupdated
    • Date Math
    • Dialogsupdated
    • Drawing
    • Dropdowns
    • Editorupdated
    • Excel Export
    • File Saver
    • Filter
    • Ganttupdated
    • Gauges
    • Gridupdated
    • Iconsupdated
    • Indicators
    • Inputsupdated
    • Labels
    • Layoutupdated
    • ListBoxupdated
    • ListView
    • Mapbeta
    • Menusupdated
    • Navigationupdated
    • Notification
    • Pagerupdated
    • PDF Export
    • PivotGridupdated
    • Popup
    • ProgressBars
    • Ripple
    • Schedulerupdated
    • ScrollViewupdated
    • Sortableupdated
    • ToolBarupdated
    • Tooltipsupdated
    • TreeList
    • TreeView
    • Typography
    • Uploadsupdated
    • Utilities
  • Styling & Themes
  • Common Features
  • Project Setup
  • Knowledge Base
  • Sample Applications
  • FAQ
  • Troubleshooting
  • Updates
  • Changelogs

Getting Started with the Kendo UI for Angular Grid

This guide provides the information you need to start using the Kendo UI for Angular Grid—it includes instructions about the available installation approaches, the required dependencies, the code for running the project, and links to additional resources.

The Grid Package is part of Kendo UI for Angular, a professional grade UI library with 100+ components for building modern and feature-rich applications. To try it out sign up for a free 30-day trial.

After the completion of this guide, you will be able to achieve an end result as demonstrated in the following example.

Example
View Source
Change Theme:

Setting Up Your Angular Project

Before you start with the installation of any Kendo UI for Angular control, ensure that you have a running Angular project. The prerequisites to accomplish the installation of the components are always the same regardless of the Kendo UI for Angular package you want to use, and are fully described in the section on setting up your Angular project.

Installing the Component

You can choose to use either of the following two approaches for installing the Kendo UI for Angular package and the styles you want to apply:

Quick Setup with Angular CLI

The quick setup presents an automatic approach for adding packages with Angular CLI through the ng-add command. It is suitable for saving time and efforts as ng-add executes in a single step a set of otherwise individually needed commands.

To add the Kendo UI for Angular Grid package, run the following command:

ng add @progress/kendo-angular-grid

As a result, the ng-add command will perform the following actions:

  • Add the @progress/kendo-angular-grid package as a dependency to the package.json file.
  • Import the GridModule in the current application module.
  • Register the Kendo UI Default theme in the angular.json file.
  • Add all required peer dependencies to the package.json file.
  • Trigger npm install to install the theme and all peer packages that are added.

Manual Setup

The manual setup provides greater visibility and better control over the files and references installed in your Angular application. You can install the required peer dependencies and a Kendo UI theme by running separate commands for each step and import the desired component modules in your application root or feature module.

  1. Install the Grid package together with its dependencies by running the following command:

     npm install --save @progress/kendo-angular-grid @progress/kendo-angular-dropdowns @progress/kendo-angular-treeview @progress/kendo-angular-inputs @progress/kendo-angular-dateinputs @progress/kendo-data-query @progress/kendo-angular-intl @progress/kendo-angular-l10n @progress/kendo-angular-label @progress/kendo-drawing @progress/kendo-angular-excel-export @progress/kendo-angular-buttons @progress/kendo-angular-common @progress/kendo-angular-pdf-export @progress/kendo-angular-popup @progress/kendo-licensing @progress/kendo-angular-icons
  2. Тo add the Grid component, import the GridModule in your root application or feature module.

    import { NgModule } from '@angular/core';
    import { BrowserModule } from '@angular/platform-browser';
    import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
    import { GridModule } from '@progress/kendo-angular-grid';
    import { AppComponent } from './app.component';
    
    @NgModule({
        imports: [BrowserModule, BrowserAnimationsModule, GridModule],
        declarations: [AppComponent],
        bootstrap: [AppComponent]
    })
    
    export class AppModule {}
  3. The next step is to style the component by installing one of the available Kendo UI themes—Kendo UI Default, Kendo UI Material, or Kendo UI Bootstrap.

    3.1 To start using a theme, install its package through NPM.

    • Default theme

      npm install --save @progress/kendo-theme-default
    • Bootstrap theme

      npm install --save @progress/kendo-theme-bootstrap
    • Material theme

      npm install --save @progress/kendo-theme-material

    3.2 After the theme package is installed, reference it in your project. You can include kendo-themes in your project in one of the following ways:

Using the Component

  1. After successfully installing the Grid package and importing its module, add the following code in the app.component.html file:

    <kendo-grid [data]="gridData">
        <kendo-grid-column field="ProductID" title="ID"> </kendo-grid-column>
        <kendo-grid-column field="ProductName" title="Name"> </kendo-grid-column>
        <kendo-grid-column field="Category.CategoryName" title="Category"> </kendo-grid-column>
        <kendo-grid-column field="UnitPrice" title="Price"> </kendo-grid-column>
    </kendo-grid>
  2. Bind the data property to an object array in the app.component.ts file:

    public gridData: Product[] = [
        {
            ProductID: 1,
            ProductName: 'Chai',
            UnitPrice: 18,
            Category: {
                CategoryID: 1,
                CategoryName: 'Beverages'
            }
        },
        {
           /*...*/
        }
    ];
  3. Build and serve the application by running the following command in the root folder.

    ng serve
  4. Point your browser to http://localhost:4200 to see the Kendo UI for Angular Grid component on the page.

Activating Your License Key

As of December 2020, using any of the UI components from the Kendo UI for Angular library requires either a commercial license key or an active trial license key. If your application does not contain a Kendo UI license file, activate your license key.

Next Steps

Dependencies

The following table lists the specific functionalities that are provided by each of the Grid dependencies as per package:

@progress/kendo-data-query

Package NameDescription
@angular/commonProvides the commonly-needed services, pipes, and directives provided by the Angular team. For more information, refer to the official Angular documentation.
@angular/coreContains critical runtime parts of the Angular framework that are needed by every application. For more information, refer to the official Angular documentation.
@angular/formsProvides support for both template-driven and reactive forms. For more information, refer to the official Angular documentation.
@angular/animationsContains the library of Angular animations. For more information, refer to the official Angular documentation.
@progress/kendo-angular-commonContains common utilities that are needed by every Kendo UI for Angular component.
@progress/kendo-angular-buttonsContains the Kendo UI for Angular Buttons components.
@progress/kendo-angular-dateinputsContains the Kendo UI for Angular Date Inputs components.
@progress/kendo-angular-dropdownsContains the Kendo UI for Angular Dropdowns components.
@progress/kendo-angular-excel-exportContains the Kendo UI for Angular Excel Export component.
@progress/kendo-angular-inputsContains the Kendo UI for Angular Inputs components.
@progress/kendo-angular-intlProvides the Kendo UI for Angular services and pipes for the parsing and formatting of dates and numbers.
@progress/kendo-angular-l10nProvides the globalization features of Kendo UI for Angular.
@progress/kendo-angular-labelContains the Kendo UI for Angular Label components.
@progress/kendo-angular-pdf-exportContains the Kendo UI for Angular PDF Export component.
@progress/kendo-angular-popupContains the Kendo UI for Angular Popup component.
@progress/kendo-angular-treeviewContains the Kendo UI for Angular TreeView component.
@progress/kendo-angular-iconsContains the Kendo UI for Angular Icons.
@progress/kendo-data-queryContains the Kendo UI Data Query utilities for applying sorting, filtering, grouping, and aggregate data operations.
@progress/kendo-drawingProvides the Kendo UI cross-browser library for interactive vector graphics.
@progress/kendo-licensingContains the kendo-ui-license CLI Tool for license management and the validatePackage function and type definitions that are used by licensed packages.
rxjsProvides the RxJS library for reactive programming which uses Observables for an easier composition of asynchronous or callback-based code.

Learning Resources